﻿@using RailwayCashBox.Controllers
@using RailwayCashBox.DAL.Entities
@using RailwayCashBox.Models
@model BookingProgress

@{
    ViewBag.Title = "Бронирование билетов";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>@ViewBag.Title</h2>

@if (Model.ChoosenSeats.Any())
{
    <fieldset>
        <legend>На данный момент вы выбрали:</legend>

        @foreach (var i in Model.ChoosenSeats)
        {
            var carNumber = i.Split('-').First();
            var seatNumber = i.Split('-').Last();

            <span>Вагон: @carNumber, Место: @seatNumber</span><br/>
        }

        <div class="form-group">
            <div class="col-md-offset-4 col-md-6">
                @Html.ActionLink("Забронировать..", "FinishBooking", null, new { @class = "btn btn-default"})
            </div>
        </div>
    </fieldset>
}

@for (int i = 0; i < Model.TrainScheduleRecord.TrainRoute.TrainCars.Count; i++)
{
    <h1>Вагон @(Model.TrainScheduleRecord.TrainRoute.TrainCars[i].Number) (@CarTypeToDescription.ToDescription(Model.TrainScheduleRecord.TrainRoute.TrainCars[i].CarType), Стоимость: @string.Format("{0:n2}грн", Model.TrainScheduleRecord.TrainRoute.TrainCars[i].SeatPrice) </h1>

    for (int j = 1; j <= Model.TrainScheduleRecord.TrainRoute.TrainCars[i].GetNumberOfSeats(); j++)
    {
        var state = BookingHelper.GetBookingState(string.Format(BookingProgress.SeatNumberFormat, Model.TrainScheduleRecord.TrainRoute.TrainCars[i].Number, j), Model.PreviouslyBookedSeats, Model.ChoosenSeats);
        string buttonClass = "btn btn-success"; //свободно
        if (state == BookingState.Booked)
        {
            buttonClass = "btn btn-link";
        }
        if (state == BookingState.Chosen)
        {
            buttonClass = "btn btn-warning";
        }

        @Html.ActionLink(string.Format("{0:00} ", j),
            state == BookingState.Free ? "PrebookSeat" : "StartBooking",
            state == BookingState.Free ? new {scheduleRecordId = Model.TrainScheduleRecord.Id, carNumber = Model.TrainScheduleRecord.TrainRoute.TrainCars[i].Number, seatId = j} : null,
            new {@class = buttonClass })

        if (j % 12 == 0)
        {
            <br/>
        }
    }

    <br />
    <br />
}
